import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements ControlValueAccessor {
    disabled: import("@angular/core").ModelSignal<boolean>;
    checked: import("@angular/core").ModelSignal<boolean>;
    indeterminate: import("@angular/core").ModelSignal<boolean>;
    label: import("@angular/core").InputSignal<string>;
    private _onChange;
    private _onTouched;
    toggle(): void;
    emit(value: boolean): void;
    writeValue(value: any): void;
    registerOnChange(onChange: (value: boolean) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(disabled: boolean): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "s-checkbox", never, { "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "checked": { "alias": "checked"; "required": false; "isSignal": true; }; "indeterminate": { "alias": "indeterminate"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; }, { "disabled": "disabledChange"; "checked": "checkedChange"; "indeterminate": "indeterminateChange"; }, never, never, true, never>;
}
